## org.apache.bcel.classfile
Class ConstantNameAndType

    java.lang.Object
      |
      +--org.apache.bcel.classfile.Constant
            |
            +--org.apache.bcel.classfile.ConstantNameAndType

All Implemented Interfaces:
  java.lang.Cloneable, Node, java.io.Serializable

public final class ConstantNameAndType
extends Constant

This class is derived from the abstract Constant class and represents a reference to the name and signature of a field or method.

Version:
  $Id: ConstantNameAndType.java,v 1.2 2002/03/11 16:16:35 mdahm Exp $
Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantNameAndType(ConstantNameAndType c)` Initialize from another object.
`ConstantNameAndType(int name_index, int signature_index)`

Method Summary
`void` `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`void` `dump(java.io.DataOutputStream file)` Dump name and signature index to file stream in binary format.
`java.lang.String` `getName(ConstantPool cp)`
`int` `getNameIndex()`
`java.lang.String` `getSignature(ConstantPool cp)`
`int` `getSignatureIndex()`
`void` `setNameIndex(int name_index)`
`void` `setSignatureIndex(int signature_index)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, getTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantNameAndType

    public ConstantNameAndType(ConstantNameAndType c)

  Initialize from another object.

### ConstantNameAndType

    public ConstantNameAndType(int name_index,
                               int signature_index)

Parameters:
  `name_index` - Name of field/method
  `signature_index` - and its signature

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(java.io.DataOutputStream file)
                    throws java.io.IOException

  Dump name and signature index to file stream in binary format.

  Specified by:
    `dump` in class `Constant`
  Parameters:
    `file` - Output file stream
  Throws:
    `java.io.IOException`

### getNameIndex

    public final int getNameIndex()

  Returns:
    Name index in constant pool of field/method name.

### getName

    public final java.lang.String getName(ConstantPool cp)

  Returns:
    name

### getSignatureIndex

    public final int getSignatureIndex()

  Returns:
    Index in constant pool of field/method signature.

### getSignature

    public final java.lang.String getSignature(ConstantPool cp)

  Returns:
    signature

### setNameIndex

    public final void setNameIndex(int name_index)

### setSignatureIndex

    public final void setSignatureIndex(int signature_index)

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.